GOST28147WrapEngine (Bouncy Castle Library 1.85 API Specification)
Date: 2026-07-12

org.bouncycastle.crypto.engines

## Class GOST28147WrapEngine

- java.lang.Object
- - org.bouncycastle.crypto.engines.GOST28147WrapEngine

- All Implemented Interfaces:
    Wrapper
  Direct Known Subclasses:
    CryptoProWrapEngine

      public class GOST28147WrapEngine
      extends java.lang.Object
      implements Wrapper

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GOST28147WrapEngine()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getAlgorithmName()` Return the name of the algorithm the wrapper implements.
    `void` | `init(boolean forWrapping, CipherParameters param)`
    `byte[]` | `unwrap(byte[] input, int inOff, int inLen)`
    `byte[]` | `wrap(byte[] input, int inOff, int inLen)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GOST28147WrapEngine

          public GOST28147WrapEngine()

  - ### Method Detail

    - #### init

          public void init(boolean forWrapping,
                           CipherParameters param)

      Specified by:
        `init` in interface `Wrapper`

    - #### getAlgorithmName

          public java.lang.String getAlgorithmName()

      Description copied from interface: `Wrapper`
      Return the name of the algorithm the wrapper implements.
      Specified by:
        `getAlgorithmName` in interface `Wrapper`
      Returns:
        the name of the algorithm the wrapper implements.

    - #### wrap

          public byte[] wrap(byte[] input,
                             int inOff,
                             int inLen)

      Specified by:
        `wrap` in interface `Wrapper`

    - #### unwrap

          public byte[] unwrap(byte[] input,
                               int inOff,
                               int inLen)
                        throws InvalidCipherTextException

      Specified by:
        `unwrap` in interface `Wrapper`
      Throws:
        `InvalidCipherTextException`